Skip to main content
POST
/
vm
/
{vm_id}
/
attach-measured-boot
Attach a measured boot image
curl --request POST \
  --url https://api.cloud.onidel.com/vm/{vm_id}/attach-measured-boot \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "uki_image_id": "7c1f2a90-4b3d-4e21-9a8c-1d2e3f4a5b6c",
  "team_id": "96616865-475e-4191-aba5-f89f0a4b71fe"
}
'
{
  "audit_log_id": "0f9c2d1a-3b4e-4c5d-8a6f-7b8c9d0e1f2a"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

vm_id
string<uuid>
required

VM UUID

Body

application/json
uki_image_id
string<uuid>
required

Measured boot image (UKI) ID to attach.

Example:

"7c1f2a90-4b3d-4e21-9a8c-1d2e3f4a5b6c"

team_id
string<uuid>

Team ID. Default team will be used if not provided.

Example:

"96616865-475e-4191-aba5-f89f0a4b71fe"

Response

Attach started

audit_log_id
string<uuid>
Example:

"0f9c2d1a-3b4e-4c5d-8a6f-7b8c9d0e1f2a"